import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, JoinTable } from 'model-util';
import { MonitorRulesettingServiceRel } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 13:26
 */
interface MonitorRulesettingServiceRelCU extends ConditionUtil<MonitorRulesettingServiceRelCU> {
    ID: FieldUtil<MonitorRulesettingServiceRelCU>;
    SETTING_ID: FieldUtil<MonitorRulesettingServiceRelCU>;
    SERVICE_GROUP_ID: FieldUtil<MonitorRulesettingServiceRelCU>;
    DELETED: FieldUtil<MonitorRulesettingServiceRelCU>;
    CREATE_TIME: FieldUtil<MonitorRulesettingServiceRelCU>;
    UPDATE_TIME: FieldUtil<MonitorRulesettingServiceRelCU>;
}
declare class MonitorRulesettingServiceRelMU extends TableUtilImpl<MonitorRulesettingServiceRelCU, MonitorRulesettingServiceRel> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: JoinTable[];
    subTables: any[];
    createConditionUtil(): MonitorRulesettingServiceRelCU;
    static get ID(): FieldUtil<MonitorRulesettingServiceRelCU>;
    static get SETTING_ID(): FieldUtil<MonitorRulesettingServiceRelCU>;
    static get SERVICE_GROUP_ID(): FieldUtil<MonitorRulesettingServiceRelCU>;
    static get DELETED(): FieldUtil<MonitorRulesettingServiceRelCU>;
    static get CREATE_TIME(): FieldUtil<MonitorRulesettingServiceRelCU>;
    static get UPDATE_TIME(): FieldUtil<MonitorRulesettingServiceRelCU>;
    static get SERVICE_CENTER_CODE(): FieldInfo;
    static get SERVICE_CENTER_NAME(): FieldInfo;
    static get APP_CODE(): FieldInfo;
    static get APP_NAME(): FieldInfo;
    static get ENV_CODE(): FieldInfo;
    static get PROJECT_ID(): FieldInfo;
    static get PROJECT_TYPE(): FieldInfo;
    static get PID(): FieldInfo;
    static get SERVICE_PROJECT_ID(): FieldInfo;
    get ID(): FieldUtil<MonitorRulesettingServiceRelCU>;
    get SETTING_ID(): FieldUtil<MonitorRulesettingServiceRelCU>;
    get SERVICE_GROUP_ID(): FieldUtil<MonitorRulesettingServiceRelCU>;
    get DELETED(): FieldUtil<MonitorRulesettingServiceRelCU>;
    get CREATE_TIME(): FieldUtil<MonitorRulesettingServiceRelCU>;
    get UPDATE_TIME(): FieldUtil<MonitorRulesettingServiceRelCU>;
    get SERVICE_CENTER_CODE(): FieldInfo;
    get SERVICE_CENTER_NAME(): FieldInfo;
    get APP_CODE(): FieldInfo;
    get APP_NAME(): FieldInfo;
    get ENV_CODE(): FieldInfo;
    get PROJECT_ID(): FieldInfo;
    get PROJECT_TYPE(): FieldInfo;
    get PID(): FieldInfo;
    get SERVICE_PROJECT_ID(): FieldInfo;
}
export { MonitorRulesettingServiceRelMU, MonitorRulesettingServiceRelCU };
